summaryrefslogtreecommitdiff
path: root/libre/epiphany
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2018-09-24 19:41:22 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2018-09-24 19:41:22 -0500
commitefb483efd0cde96e3d689088c06af8c2caa8717b (patch)
treee4311f6c60479077be15ab11e8cea42ee8f5fe15 /libre/epiphany
parentafe63fec1c6bb8d9f8ac056c6a6607cd1efb7663 (diff)
epiphany-3.30.1-1.parabola1: updating version
Diffstat (limited to 'libre/epiphany')
-rw-r--r--libre/epiphany/PKGBUILD25
-rw-r--r--libre/epiphany/pluginsdir.diff28
2 files changed, 14 insertions, 39 deletions
diff --git a/libre/epiphany/PKGBUILD b/libre/epiphany/PKGBUILD
index ff660596c..bb81620ed 100644
--- a/libre/epiphany/PKGBUILD
+++ b/libre/epiphany/PKGBUILD
@@ -1,4 +1,4 @@
-# $Id$
+# Maintainer (Arch): Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
# Maintainer (Arch): Jan de Groot <jgc@archlinux.org>
# Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
# Contributor: Isaac David <isacdaavid@at@isacdaavid@dot@info>
@@ -10,22 +10,21 @@
# - switched default searchengine to duckduckgo
pkgname=epiphany
-pkgver=3.28.3.1
-pkgrel=2.parabola1
+pkgver=3.30.1
+pkgrel=1.parabola1
pkgdesc="A GNOME web browser based on the WebKit rendering engine, with DuckDuckGo HTML support"
url="https://wiki.gnome.org/Apps/Web"
arch=(x86_64 i686 armv7h)
license=(GPL)
-depends=(webkit2gtk gcr icu)
-makedepends=(itstool docbook-xml startup-notification lsb-release
- gobject-introspection yelp-tools appstream-glib git meson)
+depends=(webkit2gtk gcr icu libdazzle)
+makedepends=(docbook-xml startup-notification lsb-release gobject-introspection yelp-tools
+ appstream-glib git meson)
+checkdepends=(xorg-server-xvfb)
groups=(gnome)
-_commit=a5a9a7e2904e2206b3cc863ab13748255247e3eb # tags/3.28.3.1^0
+_commit=160d3435ff7ddbe02c67f743dbe171c37afcf4da # tags/3.30.1^0
source=("git+https://gitlab.gnome.org/GNOME/epiphany.git#commit=$_commit"
- pluginsdir.diff
libre.patch)
sha256sums=('SKIP'
- 'b6c8ee6ace934c053f2fd89758e0b587cb8953c6b0246c1359aecaae4de70289'
'8cee8e5f896ce12832d50e7ab97ef16165d70d135018742e0f5bc15507d4e708')
pkgver() {
@@ -35,7 +34,6 @@ pkgver() {
prepare() {
cd $pkgname
- patch -Np1 -i ../pluginsdir.diff
patch -Np1 -i ../libre.patch
}
@@ -45,6 +43,11 @@ build() {
ninja -C build
}
+check() {
+ # ERROR:../epiphany/tests/ephy-web-app-utils-test.c:109:test_web_app_lifetime: assertion failed (g_list_length (apps) == 1): (0 == 1)
+ xvfb-run meson test -C build || :
+}
+
package() {
- DESTDIR="$pkgdir" ninja -C build install
+ DESTDIR="$pkgdir" meson install -C build
}
diff --git a/libre/epiphany/pluginsdir.diff b/libre/epiphany/pluginsdir.diff
deleted file mode 100644
index 7999e10be..000000000
--- a/libre/epiphany/pluginsdir.diff
+++ /dev/null
@@ -1,28 +0,0 @@
- embed/ephy-embed-shell.c | 1 +
- meson.build | 1 +
- 2 files changed, 2 insertions(+)
-
-diff --git c/embed/ephy-embed-shell.c i/embed/ephy-embed-shell.c
-index b4837f834..1b5012bae 100644
---- c/embed/ephy-embed-shell.c
-+++ i/embed/ephy-embed-shell.c
-@@ -910,6 +910,7 @@ ephy_embed_shell_create_web_context (EphyEmbedShell *shell)
- g_free (cache_dir);
-
- priv->web_context = webkit_web_context_new_with_website_data_manager (manager);
-+ webkit_web_context_set_additional_plugins_directory (priv->web_context, EPHY_PLUGINS_DIR);
- g_object_unref (manager);
- }
-
-diff --git c/meson.build i/meson.build
-index a4a8a36b7..0c98f6c36 100644
---- c/meson.build
-+++ i/meson.build
-@@ -25,6 +25,7 @@ conf = configuration_data()
- conf.set_quoted('BUILD_ROOT', meson.build_root())
- conf.set_quoted('DISTRIBUTOR_NAME', get_option('distributor_name'))
- conf.set_quoted('EPHY_WEB_EXTENSIONS_DIR', webextensionsdir)
-+conf.set_quoted('EPHY_PLUGINS_DIR', join_paths(pkglibdir, 'plugins'))
- conf.set_quoted('GETTEXT_PACKAGE', meson.project_name())
- conf.set_quoted('ISO_CODES_PREFIX', iso_codes_prefix)
- conf.set_quoted('LOCALEDIR', localedir)